<template>
    <h2 class="ui dividing header">Agregar Tareas</h2>
    <div class="ui stacked segment">
        <div class="fields"> 
            <div class="nine wide field">
                <input type="text" value.bind="tarea.Tarea.Titulo" maxlength="30" placeholder="*Titulo">
            </div> 
            <div class="nine wide field">  
                <select class="ui fluid dropdown" value.bind="tarea.Tarea.Responsable">
                    <option model.bind="0">Seleccionar Responsable</option>
                    <option repeat.for="item of responsable.ListadoResponsable" model.bind="item.Correo">${item.Nombre} ${item.Apellido}</option>
                </select>
            </div>
        </div> 
        <div class="fields">
            <div class="two wide field"> 
                    <label style="margin-top: 1em;">Fecha Inicio</label>
            </div>
            <div class="six wide field">
                <input type="date" value.bind="tarea.Tarea.FechaInicio" maxlength="30">                                
            </div>
            <div class="two wide field"> 
                    <label style="margin-top: 1em;">Fecha Fin</label>
            </div>
            <div class="six wide field">
                <input type="date" value.bind="tarea.Tarea.FechaFin" maxlength="30">                                
            </div>
        </div> 

        <div class="fields"> 
            <div class="nine wide field">
                <input type="text" value.bind="tarea.Tarea.PorcentajeAvance" maxlength="30" placeholder="*Porcentaje de Avance">
            </div> 
            <div class="nine wide field"> 
                <select class="ui fluid dropdown" value.bind="tarea.Tarea.Categoria">
                    <option model.bind="0">Seleccionar Categoria</option>
                    <option repeat.for="item of categoria.ListadoCategorias" model.bind="item.Descripcion">${item.Descripcion}</option>
                </select>
            </div>
        </div>   
        
        <div class="field"> 
            <div class="ui right action input">
                <input type="text" placeholder="SubTarea" value.bind="tarea.SubTarea">
                <div class="ui teal button" click.delegate="AgregarSubTarea()">
                    <i class="add icon"></i>
                    Agregar
                </div>
            </div>
        </div>
        <button click.delegate="Guardar()"  class="ui fluid large teal button">Guardar</button>

        <div class="column">
            <table class="ui right aligned celled table">
                <thead>
                    <tr>
                    <th class="thirteen wide left aligned">SubTarea</th>
                    <th class="center aligned">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr repeat.for="item of tarea.LisSubTareas">
                        <td class="thirteen wide left aligned">${item.Descripcion}</td>
                        <td class="center aligned">
                            <i class="trash icon" click.delegate="tarea.QuitarSubTarea(item)"></i>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>                    
    </div>
</template>